Bug 165132 - rpm compares suits incorrectly
Summary: rpm compares suits incorrectly
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-04 16:10 UTC by Bill Nottingham
Modified: 2014-03-17 02:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 18:31:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2005-08-04 16:10:10 UTC
[root@nostromo i386]# rpm -Uvh pcmciautils-007-1.â .i386.rpm
Preparing...                ########################################### [100%]
   1:pcmciautils            ########################################### [100%]
[root@nostromo i386]# rpm -Fvh pcmciautils-007-1.â¥.i386.rpm
Preparing...                ########################################### [100%]
   1:pcmciautils            ########################################### [100%]

⥠shouldn't take precedence over â .

The ordering is â£, â¦, â¥, â , of course.

:)

Comment 1 Jeremy Katz 2005-08-04 18:31:29 UTC
Crack. :)

Comment 2 Peter Jones 2005-08-04 22:21:00 UTC
You're a bad man.

Comment 3 Matt McCutchen 2009-10-26 23:32:07 UTC
I'm seeing mojibake in comment #0 that obscures the joke.  (It appears that the UTF-8-encoded characters were somewhere misinterpreted as ISO-8859-1 and retranslated to UTF-8.)  Here's what I believe the comment should say:

----------------------------------------------------------------------
[root@nostromo i386]# rpm -Uvh pcmciautils-007-1.♠.i386.rpm
Preparing...                ########################################### [100%]
   1:pcmciautils            ########################################### [100%]
[root@nostromo i386]# rpm -Fvh pcmciautils-007-1.♥.i386.rpm
Preparing...                ########################################### [100%]
   1:pcmciautils            ########################################### [100%]

♥ shouldn't take precedence over ♠.

The ordering is ♣, ♦, ♥, ♠, of course.

:)  
----------------------------------------------------------------------

Please pardon the bugmail.


Note You need to log in before you can comment on or make changes to this bug.